use v5.14;

package Local::MyV 0.01 {
	use parent 'Pod::Simple::Text';
	use Data::Dumper;

	sub handle_text {
		my( $self, $text ) = @_;
		$self->{'Thispara'} .= 
			$self->{__PACKAGE__}{in_V} ? 
				$self->make_codepoints($text) : $text;
	}

	sub make_codepoints {
		my( $self, $text ) = @_;
		$text =~ s/(.)/ sprintf '(U+%04X)', ord($1) /ger;
	}

	sub new {
		my $self = shift;
		my $new = $self->SUPER::new;
		
		$new->accept_codes('V');
		$new->accept_targets_as_texts( 'extra' );
		return $new;
	}

	sub start_V {
		my( $self, $text ) = @_;
		$self->{__PACKAGE__}{in_V} = 1;
	}

	sub end_V {
		my( $self, $text ) = @_;
		$self->{__PACKAGE__}{in_V} = 0;
	}
	
}

1;
